> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Incoming Wire Return V2

> Simulates an incoming return wire against an outgoing wire in sandbox. Automatically advances to posted on creation.



## OpenAPI

````yaml POST /v2/simulate/wires/{wire_id}/incoming_return
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v2/simulate/wires/{wire_id}/incoming_return:
    post:
      tags:
        - Simulation
      summary: Simulate Incoming Wire Return V2
      description: >-
        Simulates an incoming return wire against an outgoing wire in sandbox.
        Automatically advances to posted on creation.
      operationId: simulate-incoming-wire-return-v2
      parameters:
        - name: wire_id
          description: >-
            ID of the outgoing wire (or outgoing return wire) you want to
            return.
          example: wire_xyz001
          in: path
          required: true
          schema:
            type: string
            pattern: ^wire_\w+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - reason
              properties:
                amount:
                  $ref: '#/components/schemas/WireAmount'
                  description: Amount to return in USD cents.
                reason:
                  $ref: '#/components/schemas/WireReturnReasonV2'
                  description: Return reason code.
                return_additional_information:
                  type: string
                  description: Additional details about why the wire is being returned.
                  minLength: 1
                  maxLength: 105
                  pattern: >-
                    ^[0-9a-zA-Z/\-\?:\(\)\.,'\+
                    !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*[0-9a-zA-Z/\-\?:\(\)\.,'\+!@#$%^&\*=_`\{\|\}~";<>\[\\\]][0-9a-zA-Z/\-\?:\(\)\.,'\+
                    !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*$
      responses:
        '200':
          description: Incoming wire return object created. The response body is empty.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulateResponse'
        '400':
          description: wire_id is not in a valid state to be returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '422':
          description: >-
            Your request parameters did not validate. Field-level detail is
            returned, including CPMI

            character set violations and a missing
            `return_additional_information` when `reason` is

            `narrative`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    WireAmount:
      description: The amount of the wire transaction in cents.
      type: integer
      format: int64
      example: 5000
      minimum: 1
      maximum: 990000000000
    WireReturnReasonV2:
      type: string
      description: The reason for returning the wire.
      example: creditor_request
      enum:
        - account_blocked
        - wrong_amount
        - creditor_name_mismatch
        - honor_return_request
        - fraud_suspected
        - creditor_request
        - narrative
        - missing_debtor_data
        - missing_creditor_data
    SimulateResponse:
      type: object
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````